%define name SDL_mixer
%define version 1.2.5
%define release 4mdk
%define lib_name_orig libSDL_mixer
%define lib_major 1.2
%define lib_name %mklibname %name %lib_major

Summary: Simple DirectMedia Layer - mixer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.bz2
Patch1: SDL_mixer-1.2.0-fix-path-timidity-cfg.patch.bz2
Patch2: SDL_mixer-1.2.5-config-gcc3.3.patch.bz2
Patch3: SDL_mixer-1.2.5-64bit-fixes.patch.bz2
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.libsdl.org/projects/SDL_mixer/
BuildRequires: alsa-lib-devel libSDL-devel >= 1.2.4 XFree86-devel esound-devel libogg-devel libvorbis-devel libsmpeg-devel >= 0.4.3

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Requires: libSDL-devel
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}%{lib_major}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Provides: %{name}-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{name}-player
Summary: Players using %{name}
Group: System/Libraries
Obsoletes: %{lib_name}-test
Provides: %{lib_name}-test

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%setup -q
%patch1 -p0
%patch2 -p1
%patch3 -p1 -b .64bit

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 .libs/{playmus,playwave} $RPM_BUILD_ROOT%{_bindir}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-player
%defattr(-, root, root)
%doc README COPYING
%{_bindir}/playmus
%{_bindir}/playwave

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING mikmod/AUTHORS mikmod/README mikmod/COPYING.LESSER
%doc timidity/FAQ timidity/README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%changelog
* Thu Jul 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.5-4mdk
- merged Gwenole 64-bit fixes from 1.2.5-3.1mdk (AMD64).

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-3mdk
- mklibname

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.5-2mdk
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- drop Prefix tag
- use %%make macro
- fix smpeg test source in configure script so smpeg support won't be left out (P2)

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-1mdk
- new version (and have also the new devel provides btw)

* Sat May 31 2003 Austin Acton <aacton@yorku.ca> 1.2.4-6mdk
- rebuild for rpm -4.2

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-4mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-3mdk
- recompile against new vorbis stuff

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-2mdk
- recompile against SDL which isn't dependant upon arts/esd

* Thu May 23 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- new version (important bugfix release)

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.3-3mdk
- Automated rebuild in gcc3.1 environment

* Sun Apr 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-2mdk
- rebuild for new alsa version

* Mon Apr 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-1mdk
- new version

* Tue Jan 15 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.1-1mdk
- Bumped to version 1.2.1.
- Fixed URL.
- removed Patch0.

* Thu Dec 20 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-5mdk
- Fix Requires mistake (Stefan sux)

* Wed Dec 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-4mdk
- fix filelist
- fix Requires on -devel package
- Add Provides for Obsoletes (rpmlint)

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-3mdk
- BuildRequires:	alsa-lib-devel
- Copyright --> License
- Removed BuildRequires:	audiofile-devel

* Sun Jun 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-2mdk
- fix default path for timidity.cfg

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0
- rename player subpackage to "SDL_mixer-player"
- dadouize buildroot

* Thu Mar 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- fix segfaults in rocksndiamonds when no sound, by protecting some
  routines from being called when /dev/dsp is not available

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-2mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-4mdk
- macros
- against cool new libogg and libvorbis
- new lib policy
- split package for binaries

* Thu Nov  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-3mdk
- rebuild against newest oggvorbis to get vorbis support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.6-2mdk
- automatically added BuildRequires

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- change buildrequires
- v1.0.5

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-4mdk
- Use makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-3mdk
- Fix macros with new libtoolize.
- Use %-configure.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- added url
- fixed group
- some minor package build fixes

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- v1.0.4
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

